Bug 1121811 - Add graphite-web to epel7
Summary: Add graphite-web to epel7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1148766
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 00:15 UTC by Jacky Zhu
Modified: 2015-04-01 02:01 UTC (History)
15 users (show)

Fixed In Version: graphite-web-0.9.12-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-01 02:01:53 UTC


Attachments (Terms of Use)

Description Jacky Zhu 2014-07-22 00:15:21 UTC
Description of problem:

Currently the Graphite/Carbon stack is not available on epel7 while they are available on epel6. Not sure if anyone would help to maintain them on epel7 as well. I think they are popular tools.

Version-Release number of selected component (if applicable):
graphite-web

How reproducible:
# yum install graphite-web

Steps to Reproduce:
(see above)

Actual results:

No package graphite-web available.

Expected results:

The package and its dependencies should be installed.

Additional info:

N/A

Comment 1 Robert Scheck 2014-08-30 20:16:43 UTC
Jonathan, any plans from your side? Any blockers?

Comment 2 Robert Scheck 2014-09-18 12:44:04 UTC
Jonathan, ping?

Comment 3 Jonathan Steffan 2014-09-28 22:32:21 UTC
I've made the request to branch for epel7. I should be able to have some builds into epel7 testing sometime soon.

Comment 4 Jonathan Steffan 2014-11-22 23:03:15 UTC
Jamie,

I'd like to port all of your changes to epel7 before we do initial builds. Do you see any reason why this would not work?

Comment 5 Jamie Nguyen 2014-11-24 19:41:01 UTC
I think we should wait for selinux-policy-3.13.1-3.el7 to be pushed to stable, so that we don't have to introduce the graphite-web-selinux package into EPEL 7.

https://bugzilla.redhat.com/show_bug.cgi?id=1148766
https://bugzilla.redhat.com/show_bug.cgi?id=1154728

Comment 6 Martin Žember 2015-01-16 02:03:17 UTC
(In reply to Jamie Nguyen from comment #5)
> I think we should wait for selinux-policy-3.13.1-3.el7 to be pushed to
> stable...

Does that mean that this policy fixes the bug 1148766? Is it possible for someone to test it and leave a note about it in the bug 1154728 (to verify it)?

Comment 7 Need Real Name 2015-02-07 13:15:15 UTC
It seems that #1148766 is solved, but I cannot access bug 1154728. 

Can I expect graphite on EPEL7 anytime soon? I'd rather not package it myself :)

Thanks.

Comment 8 James Turnbull 2015-02-09 11:59:34 UTC
Any news on this? Happy to help with any testing.

Comment 9 Stewart Adam 2015-02-15 17:50:14 UTC
I'm waiting on this as well. Is bug 1154728 going to be resolved anytime soon? I think it would be better to have graphite-web out there a note for SELinux users than not there at all. When the time comes, the main package can just deprecate graphite-web-selinux.

Comment 10 Martin Žember 2015-02-16 10:56:30 UTC
Removing the dependency on bug 1154728 which is a part of the "TestOnly" process, used only for testing purposes. Leaving it would only further slow down adding graphite-web to EPEL.

Comment 11 Martin Žember 2015-02-16 13:13:00 UTC
Bug 1154728 is now public, but the most useful information is this:
The selinux-policy package can be found here (not the newest one, but contains the graphite-web-related parts): http://people.redhat.com/dwalsh/SELinux/RHEL7/noarch/

Comment 12 Piotr Popieluch 2015-03-13 15:49:42 UTC
Jamie, Jonathan, 

Can I push 0.9.12-8 to epel-testing this weekend so people can test and provide feedback? CentOS 7.1 is being release next week and should contain the selinux fixes.

ps. we still have this selinux bug https://bugzilla.redhat.com/show_bug.cgi?id=1183986

Comment 13 Fedora Update System 2015-03-15 10:58:30 UTC
graphite-web-0.9.12-8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-8.el7

Comment 14 Fedora Update System 2015-03-16 16:32:11 UTC
graphite-web-0.9.12-8.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 15 Fedora Update System 2015-04-01 02:01:53 UTC
graphite-web-0.9.12-8.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.